# FIXME: include proper key!

%global nonfreerepo 0     
%if 0%{nonfreerepo}
%global rpmfusionrepo nonfree
%else
%global rpmfusionrepo free
%endif

Name:           rpmfusion-%{rpmfusionrepo}-release
Version:        7
Release:        1
Summary:        RPM Fusion %{rpmfusionrepo} repository configuration files

Group:          System Environment/Base
License:        BSD
URL:            http://%{rpmfusionrepo}.rpmfusion.org/

Source0:        rpmfusion-release-RPM-GPG-KEY-rpmfusion-%{rpmfusionrepo}
Source1:        rpmfusion-release-repotemplate.repo
Source2:        rpmfusion-release-repotemplate-updates.repo
Source3:        rpmfusion-release-repotemplate-updates-testing.repo
Source4:        rpmfusion-release-repotemplate-development.repo
Source10:       rpmfusion-release-repotemplate-smart-channels.sh
Source11:       rpmfusion-release-repotemplate-smart-%{rpmfusionrepo}-distro.py

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       fedora-release >= %{version}

%if 0%{nonfreerepo}
# nonfree depends on free:
Requires:       rpmfusion-free-release >= %{version}
%endif

%if 0%{nonfreerepo}
%description
The %{rpmfusionrepo}.rpmfusion.org is a add-on RPM package repository for Fedora
which contains non-free software or software which depends on it. Be sure to
read the license files of the software before you use it. Please note that 
some of the RPM from this repo depend on software from the free.rpmfusion.org
repo. 

This package contains the repository GPG key as well as configuration
for the Yum and Smart package managers.

%else

%description
The %{rpmfusionrepo}.rpmfusion.org is a add-on RPM package repository for Fedora
which contains only software that is open source according to the Fedora
guidelines.

This package contains the repository GPG key as well as configuration
for the Yum and Smart package managers.

%endif


%prep
%setup -c -T
# adjust repo files...
sed 's|##reponame##|%{rpmfusionrepo}|' %{SOURCE1}  > rpmfusion-%{rpmfusionrepo}.repo
sed 's|##reponame##|%{rpmfusionrepo}|' %{SOURCE2}  > rpmfusion-%{rpmfusionrepo}-updates.repo
sed 's|##reponame##|%{rpmfusionrepo}|' %{SOURCE3}  > rpmfusion-%{rpmfusionrepo}-updates-testing.repo
sed 's|##reponame##|%{rpmfusionrepo}|' %{SOURCE4}  > rpmfusion-%{rpmfusionrepo}-development.repo
sed 's|##reponame##|%{rpmfusionrepo}|' %{SOURCE10} > rpmfusion-%{rpmfusionrepo}-smart-channels.sh
# ..but preserve original filedate
touch -r %{SOURCE1}  rpmfusion-%{rpmfusionrepo}.repo
touch -r %{SOURCE2}  rpmfusion-%{rpmfusionrepo}-updates.repo
touch -r %{SOURCE3}  rpmfusion-%{rpmfusionrepo}-updates-testing.repo
touch -r %{SOURCE4}  rpmfusion-%{rpmfusionrepo}-development.repo
touch -r %{SOURCE10} rpmfusion-%{rpmfusionrepo}-smart-channels.sh



%build
echo "nothing to build"


%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-%{rpmfusionrepo}

# yum
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -p -m 644 \
    rpmfusion-%{rpmfusionrepo}.repo \
    rpmfusion-%{rpmfusionrepo}-updates.repo \
    rpmfusion-%{rpmfusionrepo}-updates-testing.repo \
    rpmfusion-%{rpmfusionrepo}-development.repo \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# smart
install -Dpm 644 %{SOURCE11} \
    $RPM_BUILD_ROOT%{_sysconfdir}/smart/distro.d/rpmfusion-%{rpmfusionrepo}.py


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc rpmfusion-%{rpmfusionrepo}-smart-channels.sh
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*
%dir %{_sysconfdir}/smart/
%dir %{_sysconfdir}/smart/distro.d/
%config %{_sysconfdir}/smart/distro.d/rpmfusion-%{rpmfusionrepo}.py
%ghost %{_sysconfdir}/smart/distro.d/rpmfusion-%{rpmfusionrepo}.py[co]


%changelog
* Sun Oct 20 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 7-1
- initial pkg based on the one from livna
