#!/bin/bash

arch=$(rpm -q --qf %{ARCH} rpm) # improvements to this are welcome...
ver=$(rpm -q --qf %{VERSION} rpmfusion-##reponame##-release)
baseprefix=http://##reponame##
basepostfix=.rpmfusion.org/pub/fedora

# FIXME: how to properly create baseurls for servers 1 and 2?
count=1


if [ "$(whoami)" = "root" ] && which smart &>/dev/null ; then
   echo=
   q=
else
   echo=echo
   q='"'
fi

echo
echo ##reponame##.rpmfusion.org channel definitions for Smart package manager
echo ======================================================================

echo
echo "* rpmfusion-##reponame## repository"
repo=rpmfusion-##reponame##
name="rpmfusion-##reponame## for Fedora $ver - $arch"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/releases/$ver/Everything/$arch/os/
repo=rpmfusion-##reponame##-debuginfo
name="rpmfusion-##reponame## for Fedora $ver - $arch - Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/releases/$ver/Everything/$arch/debug/ disabled=yes
repo=rpmfusion-##reponame##-source
name="rpmfusion-##reponame## for Fedora $ver - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/releases/$ver/Everything/source/SRPMS/ disabled=yes

echo
echo "* rpmfusion-##reponame## repository updates"
repo=rpmfusion-##reponame##-updates
name="rpmfusion-##reponame## for Fedora $ver - $arch - Updates"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/updates/$ver/$arch/ 
repo=rpmfusion-##reponame##-updates-debuginfo
name="rpmfusion-##reponame## for Fedora $ver - $arch - Updates- Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/updates/$ver/$arch/debug/ disabled=yes
repo=rpmfusion-##reponame##-updates-source
name="rpmfusion-##reponame## for Fedora $ver - $arch - Updates - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
     baseurl=${baseprefix}${count}${basepostfix}/updates/$ver/SRPMS/ disabled=yes


echo
echo "* rpmfusion-##reponame## repository potential updates in testing"
repo=rpmfusion-##reponame##-updates-testing
name="rpmfusion-##reponame## for Fedora $ver - $arch - Test Updates"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/updates/testing/$ver/$arch/ disabled=yes
repo=rpmfusion-##reponame##-updates-testing-debuginfo
name="rpmfusion-##reponame## for Fedora $ver - $arch - Test Updates- Debug"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
    baseurl=${baseprefix}${count}${basepostfix}/updates/testing/$ver/$arch/debug/ disabled=yes
repo=rpmfusion-##reponame##-updates-testing-source
name="rpmfusion-##reponame## for Fedora $ver - $arch - Test Updates - Source"
$echo smart channel --add $repo type=rpm-md name="$q$name$q" \
     baseurl=${baseprefix}${count}${basepostfix}/updates/testing/$ver/SRPMS/ disabled=yes
